unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SkReg, StdCtrls, ComCtrls, ExtCtrls, Buttons;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Button1: TButton;
    Button2: TButton;
    Edit3: TEdit;
    SKReg1: TSKReg;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Button6: TButton;
    Label5: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label6: TLabel;
    Edit7: TEdit;
    Label7: TLabel;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure SKReg1InValidExecute(uValidCode, uSentCode, uName: String;
      IsItValid: Boolean);
    procedure SKReg1InValidRead(ValidCode, ReadCode, ReadName: String;
      IsItValid: Boolean);
    procedure SKReg1ValidExecute(uValidCode, uSentCode, uName: String;
      IsItValid: Boolean);
    procedure SKReg1ValidRead(ValidCode, ReadCode, ReadName: String;
      IsItValid: Boolean);
   private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

Uses Unit2;

{$R *.DFM}


procedure TForm1.Button2Click(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
// SKReg1.ModifierKey := Edit7.Text;
 SKReg1.Execute;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
 SKReg1.ReadData;
end;

{The InValidExecute Procedure is called after
 The Execute Method AND if the Code that the user
 entered was not correct}

procedure TForm1.SKReg1InValidExecute(uValidCode, uSentCode, uName: String;
  IsItValid: Boolean);
begin
 Edit2.Text := uValidCode;
 Label1.Caption := 'FALSE';
end;

{The InValidRead Procedure is called after
 The ReadData Method AND if the Code that the user
 entered was not correct.

 If ReadAtStart := True, then either the
 InValidRead Procedure is called (if the code
 stored is incorrect) or the ValidRead Procedure
 is called (if the code stored is correct)
 And IF ReadAtStart := True, either of these two
 procedures are called BEFORE the form on which
 TSKReg is on, so you can deal with each possibility
 accordingly}

procedure TForm1.SKReg1InValidRead(ValidCode, ReadCode, ReadName: String;
  IsItValid: Boolean);
begin
  Edit5.Text := ReadCode;
  Edit6.Text := ValidCode;
  Edit4.Text := ReadName;
  Label5.Caption := 'FALSE';
   If Not Form1.Visible  Then
     Begin
      Application.CreateForm(TNag, Nag);
      Unit2.Nag.ShowModal;
      Unit2.Nag.Free;
     End;
end;

{The ValidExecute Procedure is called after
 The Execute Method AND if the Code that the user
 entered was correct}

procedure TForm1.SKReg1ValidExecute(uValidCode, uSentCode, uName: String;
  IsItValid: Boolean);
begin
  Edit2.Text := uValidCode;
  Label1.Caption := 'TRUE';
end;

{The ValidRead Procedure is called after
 The ReadData Method AND if the Code that the user
 entered was correct.
  
 If ReadAtStart := True, then either the
 InValidRead Procedure is called (if the code
 stored is incorrect) or the ValidRead Procedure
 is called (if the code stored is correct)
 And IF ReadAtStart := True, either of these two
 procedures are called BEFORE the form on which
 TSKReg is on, so you can deal with each possibility
 accordingly}

procedure TForm1.SKReg1ValidRead(ValidCode, ReadCode, ReadName: String;
  IsItValid: Boolean);
begin
  Edit5.Text := ReadCode;
  Edit6.Text := ValidCode;
  Edit4.Text := ReadName;
  Label5.Caption := 'TRUE';
end;

end.
